import GroupModel from "../../../Models/GroupModel.js";
import { BaseView, IBaseViewOptions } from "../../BaseView.js";
import ContentView from "./ContentView.js";
export interface IGridLabelResizerOptions extends IBaseViewOptions {
    parent: ContentView;
    source: GroupModel;
}
export declare class GridLabelResizer extends BaseView {
    private m_parent;
    constructor(options: IGridLabelResizerOptions);
    private get parent();
    protected get source(): GroupModel;
    template(): string | Array<string> | JQuery;
    protected onActivate(e: Jade.UI.ControlEventArgs): void;
    protected onDestroy(e: Jade.UI.ControlEventArgs): void;
}
